show_mode() 
{
	case "$1" in
		3)
			echo -n $wlan_mode_300
		;;
		2)
			echo -n $wlan_mode_145
		;;
		1)
			echo -n $wlan_mode_54
		;;
		*)	
			echo -n $wlan_mode_54
		;;
	esac
}

show_on_off()
{
	case "$1" in
		0)
			echo -n $off_mark
			;;
		1)
			echo -n $on_mark
			;;
		*)
			echo -n $off_mark
			;;
	esac 
}
show_wps()
{
	case "$1" in
		1)
			echo -n "$not_configured"
		;;
		5)
			echo -n "$configured"
		;;
		*)
			echo -n "$not_configured"
		;;
	esac	
}
show_region() #$1: country number
{
    case "$1" in
        0)
            echo -n $coun_select1
            ;;
        1)
            echo -n $coun_af
            ;;
        2)
            echo -n $coun_as
            ;;
        3)
            echo -n $coun_au
            ;;
        5)
            echo -n $coun_ca
            ;;
        7)
	    	   echo -n $coun_eu
            ;;
        9)
            echo -n $coun_is
            ;;
        10)
            echo -n $coun_jp
            ;;
		  	11)
            echo -n $coun_ko
            ;;
        12)
            echo -n $coun_mx
            ;;
        13)
            echo -n $coun_middle_east
            ;;
		  	15)
			   echo -n $coun_sa
            ;;
        16)    
            echo -n $coun_us
            ;;
        *)    
            echo -n $coun_eu
            ;;
    esac
}

show_enc()
{
    case "$1" in
        2)
            echo -n $r_wep
            ;;
        3)
            echo -n $r_wpa
            ;;
        4)
            echo -n $r_wpa2
            ;;
        5)
            echo -n $r_wpas
            ;;
        *)
            echo -n $r_off
            ;;
    esac
}
show_channel() #$1 for info_get_channel, $2 for gmode
{
	local pri_channel sec_channel tmp_channel
	
	if [ "$1" = "0" ];then
        	tmp_channel=`iwpriv wlan0 get_mib channel | cut -b 28-29`
        else
        	tmp_channel=$1
	fi

	if [ "$2" = "3" ]; then
     		if [ "x$tmp_channel" != "x" ];then
     			if [ "$tmp_channel" -gt "4" ]; then
     				pri_channel=$tmp_channel
         			sec_channel=$(($pri_channel-4))
     			else
     				pri_channel=$tmp_channel
         			sec_channel=$(($pri_channel+4))
     			fi
     			if [ "$1" = "0" ]; then
     				echo -n "Auto($pri_channel(P)+$sec_channel(S))"
     			else
      				echo -n "$pri_channel(P)+$sec_channel(S)"
    			fi
     		else
     			echo -n "--"
     		fi

	elif [ "$1" = "0" ]; then
     		if [ "x$tmp_channel" != "x" ];then
			echo -n "Auto($tmp_channel)"
     		else
     			echo -n "--"
     		fi	
	else
		echo -n "$1"
     	fi	
}

config_show_statistic()
{
	$nvram set timereset="$1"
}
