config_plc() #$1: MAC, $2: endis_PWD, $3: PWD, $4: NMK, $5: MFG, $6: NET, $7: USR, $8: DAK, $9: CCo, $10: MDU, $11: LVL
{
	plc_connect_status=$($nvram get plc_connect_status)
	if [ "$plc_connect_status" = "1" ]; then
		$nvram set plc_MAC="$1"
		$nvram set plc_endis_PWD="$2"	
		$nvram set plc_PWD="$3"		
		$nvram set plc_NMK="$4"	
		$nvram set plc_MFG="$5"	
		$nvram set plc_NET="$6"	
		$nvram set plc_USR="$7"
		$nvram set plc_DAK1="$8"
		$nvram set plc_CCO="$9"
		$nvram set plc_MDU="$10"
		$nvram set plc_LVL="$11"		
	fi	
}
config_plc_qos() #$1: VLN, $2: TOS, $3: CAP IGMP, $4: CAP Uni, $5: CAP AVST, $6: CAP Mul, $7: TTLcap0, $8: TTLcap1, $9: TTLcap2, $10: TTLcap3
{
	plc_connect_status=$($nvram get plc_connect_status)
	if [ "$plc_connect_status" = "1" ]; then
		$nvram set plc_DAK1=""
		$nvram set plc_VLN="$1"
		$nvram set plc_TOS="$2"
		$nvram set plc_CAPigmp="$3"
		$nvram set plc_CAPuni="$4"
		$nvram set plc_CAPavst="$5"
		$nvram set plc_CAPmul="$6"
		$nvram set plc_TTLcap0="$7"
		$nvram set plc_TTLcap1="$8"
		$nvram set plc_TTLcap2="$9"
		$nvram set plc_TTLcap3="$10"								
	fi	
}

config_plc_qos_matrix_vlan() #$1: VLN, $2: vlan0, $3: vlan1, $4: vlan2, $5: vlan3, $6: vlan4, $7: vlan5, $8: vlan6, $9: vlan7
{
	plc_connect_status=$($nvram get plc_connect_status)
	if [ "$plc_connect_status" = "1" ]; then
		if [ "$1" = "1" ]; then
			$nvram set plc_matrix_vlan0="$2"
			$nvram set plc_matrix_vlan1="$3"
			$nvram set plc_matrix_vlan2="$4"
			$nvram set plc_matrix_vlan3="$5"
			$nvram set plc_matrix_vlan4="$6"
			$nvram set plc_matrix_vlan5="$7"
			$nvram set plc_matrix_vlan6="$8"
			$nvram set plc_matrix_vlan7="$9"
		fi										
	fi	
}

config_plc_qos_matrix_tos() #$1: TOS, $2: tos0, $3: tos1, $4: tos2, $5: tos3, $6: tos4, $7: tos5, $8: tos6, $9: tos7
{
	plc_connect_status=$($nvram get plc_connect_status)
	if [ "$plc_connect_status" = "1" ]; then
		if [ "$1" = "1" ]; then
			$nvram set plc_matrix_tos0="$2"
			$nvram set plc_matrix_tos1="$3"
			$nvram set plc_matrix_tos2="$4"
			$nvram set plc_matrix_tos3="$5"
			$nvram set plc_matrix_tos4="$6"
			$nvram set plc_matrix_tos5="$7"
			$nvram set plc_matrix_tos6="$8"
			$nvram set plc_matrix_tos7="$9"
		fi										
	fi	
}

config_plc_intf() #$1: EthOvrDef, $2: TXFC, $3: RXFC, $4: PciOvrDef, $5: PciSubID, $6: PciSubVndID, $7: PwrSavMode, $8: PwrLedDuty, $9: PwrLkUpBfRst, $10: PwrLedPeriod, $11: PwrLkDnBfLPM, $12: PhyAddrSel, $13: PhyAddress, $14: UpLinkLimit, $15: DownLinkLimit
{
	plc_connect_status=$($nvram get plc_connect_status)
	if [ "$plc_connect_status" = "1" ]; then
		$nvram set plc_DAK1=""
		$nvram set plc_EthOvrDef="$1"
		$nvram set plc_TXFC="$2"
		$nvram set plc_RXFC="$3"
		$nvram set plc_PciOvrDef="$4"
		$nvram set plc_PciSubID="$5"
		$nvram set plc_PciSubVndID="$6"
		$nvram set plc_PwrSavMode="$7"
		$nvram set plc_PwrLedDuty="$8"
		$nvram set plc_PwrLkUpBfRst="$9"
		$nvram set plc_PwrLedPeriod="$10"
		$nvram set plc_PwrLkDnBfLPM="$11"	
		$nvram set plc_PhyAddrSel="$12"
		$nvram set plc_PhyAddress="$13"
		$nvram set plc_UpLinkLimit="$14"
		$nvram set plc_DownLinkLimit="$15"						
	fi	
}

config_plc_intf_numports() #$1: NumPorts
{
	plc_connect_status=$($nvram get plc_connect_status)
	if [ "$plc_connect_status" = "1" ]; then
		$nvram set plc_NumPorts="$1"						
	fi	
}
